- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QPaintEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 293 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QPaintEvent:
[legend]

List of all members.

## Public Member Functions
| QPaintEvent (const QRegion &paintRegion)
| QPaintEvent (const QRect &paintRect)
| ~QPaintEvent ()
const QRect & | rect () const
const QRegion & | region () const
## Protected Attributes
QRect | m_rect
QRegion | m_region
bool | m_erased
## Friends
class | QApplication
class | QCoreApplication

## Constructor & Destructor Documentation

QPaintEvent | ( | const QRegion & | paintRegion | ) |

QPaintEvent | ( | const QRect & | paintRect | ) |

~QPaintEvent | ( |  | ) |

## Member Function Documentation

const QRect& rect | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 300 of file qevent.h.

    { return m_rect; }

const QRegion& region | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 301 of file qevent.h.

    { return m_region; }

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 310 of file qevent.h.

friend class QCoreApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 311 of file qevent.h.

## Member Data Documentation

QRect m_rect `[protected]`

Search for all occurrences

Definition at line 312 of file qevent.h.

QRegion m_region `[protected]`

Search for all occurrences

Definition at line 313 of file qevent.h.

bool m_erased `[protected]`

Search for all occurrences

Definition at line 314 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent
QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent QPaintEvent